Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class WorldProviderHell

    java.lang.Object
      net.minecraft.src.WorldProvider
          net.minecraft.src.WorldProviderHell

    public class WorldProviderHell

extends WorldProvider

Field Summary

Fields inherited from class net.minecraft.src.WorldProvider
`dimensionId, field_82913_c, hasNoSky, isHellWorld, lightBrightnessTable, terrainType, worldChunkMgr, worldObj`

Constructor Summary
`WorldProviderHell()`

Method Summary
`float` | `calculateCelestialAngle(long par1, float par3)` Calculates the angle of sun and moon in the sky relative to a specified time (usually worldTime)
`boolean` | `canCoordinateBeSpawn(int par1, int par2)` Will check if the x, z position specified is alright to be set as the map spawn point
`boolean` | `canRespawnHere()` True if the player can respawn in this dimension (true = overworld, false = nether).
`boolean` | `doesXZShowFog(int par1, int par2)`
`IChunkProvider` | `getChunkProvider()` Returns the chunk provider back for the world provider
`String` | `getDimensionName()` Returns the dimension's name, e.g.
`Vec3` | `getFogColor(float par1, float par2)`
`boolean` | `isSurfaceWorld()` Returns 'true' if in the "main surface world", but 'false' if in the Nether or End dimensions.
`void` | `registerWorldChunkManager()` creates a new world chunk manager for WorldProvider

Methods inherited from class net.minecraft.src.WorldProvider
`calcSunriseSunsetColors, calculateInitialWeather, canBlockFreeze, canDoLightning, canDoRainSnowIce, canMineBlock, canSnowAt, drawClouds, getActualHeight, getAverageGroundLevel, getBiomeGenForCoords, getCloudHeight, getDepartMessage, getEntrancePortalLocation, getHeight, getHorizon, getMoonPhase, getMovementFactor, getProviderForDimension, getRandomizedSpawnPoint, getSaveFolder, getSeed, getSkyColor, getSkyProvider, getSpawnPoint, getStarBrightness, getVoidFogYFactor, getWelcomeMessage, getWorldHasVoidParticles, getWorldTime, isBlockHighHumidity, isDaytime, isSkyColored, registerWorld, resetRainAndThunder, setAllowedSpawnTypes, setDimension, setSkyProvider, setSpawnPoint, setWorldTime, toggleRain, updateWeather`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorldProviderHell

    public WorldProviderHell()

Method Detail

### registerWorldChunkManager

    public void registerWorldChunkManager()

  creates a new world chunk manager for WorldProvider

### getFogColor

    public Vec3 getFogColor(float par1,
                            float par2)

  Overrides:
    `getFogColor` in class `WorldProvider`

### getChunkProvider

    public IChunkProvider getChunkProvider()

  Returns the chunk provider back for the world provider

  Overrides:
    `getChunkProvider` in class `WorldProvider`

### isSurfaceWorld

    public boolean isSurfaceWorld()

  Returns 'true' if in the "main surface world", but 'false' if in the Nether or End dimensions.

  Overrides:
    `isSurfaceWorld` in class `WorldProvider`

### canCoordinateBeSpawn

    public boolean canCoordinateBeSpawn(int par1,
                                        int par2)

  Will check if the x, z position specified is alright to be set as the map spawn point

  Overrides:
    `canCoordinateBeSpawn` in class `WorldProvider`

### calculateCelestialAngle

    public float calculateCelestialAngle(long par1,
                                         float par3)

  Calculates the angle of sun and moon in the sky relative to a specified time (usually worldTime)

  Overrides:
    `calculateCelestialAngle` in class `WorldProvider`

### canRespawnHere

    public boolean canRespawnHere()

  True if the player can respawn in this dimension (true = overworld, false = nether).

  Overrides:
    `canRespawnHere` in class `WorldProvider`

### doesXZShowFog

    public boolean doesXZShowFog(int par1,
                                 int par2)

  Overrides:
    `doesXZShowFog` in class `WorldProvider`

### getDimensionName

    public String getDimensionName()

  Returns the dimension's name, e.g. "The End", "Nether", or "Overworld".

  Specified by:
    `getDimensionName` in class `WorldProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD